Package twisted :: Package xish :: Module xpathparser :: Class Context

[frames | no frames]

## Class Context

Class to represent the parser's call stack.

Every rule creates a Context that links to its parent rule. The contexts can be used for debugging.

Method Summary
| ``__init__`(self, parent, scanner, tokenpos, rule, args)` Create a new context.
| `__str__(self)`

Method Details

### __init__(self, parent, scanner, tokenpos, rule, args=())
(Constructor)

Create a new context.

Args: parent: Context object or None scanner: Scanner object pos: integer (scanner token position) rule: string (name of the rule) args: tuple listing parameters to the rule

Generated by Epydoc 2.0 on Sat May 15 20:07:56 2004 | http://epydoc.sf.net